/***********************
* Adobe Edge Animate-Aktionen für Composition
*
* Bearbeiten Sie diese Datei mit Vorsicht. Achten Sie darauf, dass 
* Funktionssignaturen und Kommentare, die mit „Edge“ anfangen, beibehalten werden, 
* damit Sie mit diesen Aktionen weiterhin in Adobe Edge Animate interagieren können.
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // Aliase für häufig verwendete Edge-Klassen

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // Hier Code einfügen
         sym.stop();

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1624, function(sym, e) {
         // Hier Code einfügen
         sym.stop();

      });
      //Edge binding end

      

      Symbol.bindElementAction(compId, symbolName, "${Stage}", "mouseenter", function(sym, e) {
         // Code einfügen, der ausgeführt wird, wenn der Mauszeiger über ein Element geführt wird
         // Code einfügen, der ausgeführt wird, wenn der Mauszeiger ein Element verlässt
         // Zeitleiste an einer Beschriftung oder einer bestimmten Zeit abspielen. Beispiel:
         // sym.play(500); oder sym.play("myLabel");
         sym.play("click");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${Stage}", "mouseleave", function(sym, e) {
         
         // Play the timeline backwards from a label or specific time. For example:
         // sym.playReverse(500); or sym.playReverse("myLabel");
         sym.playReverse("thisisit");

      });
      //Edge binding end

            Symbol.bindElementAction(compId, symbolName, "${dribbble}", "click", function(sym, e) {
         
         // Zu einer neuen URL in einem neuen Fenster navigieren
         // ( "_blank" durch das entsprechende Zielattribut ersetzen)
         window.open("http://www.dribbble.com/clemensposch", "_blank");

      });
         //Edge binding end



      Symbol.bindElementAction(compId, symbolName, "${twitter}", "click", function(sym, e) {
         // Hier Code für Mausklick einfügen
         // Zu einer neuen URL in einem neuen Fenster navigieren
         // ( "_blank" durch das entsprechende Zielattribut ersetzen)
         window.open("http://www.twitter.com/clemensposch", "_blank");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${fb}", "click", function(sym, e) {
         // Hier Code für Mausklick einfügen
         // Zu einer neuen URL in einem neuen Fenster navigieren
         // ( "_blank" durch das entsprechende Zielattribut ersetzen)
         window.open("http://www.facebook.com/clemensposch", "_blank");
         

      });
      //Edge binding end

      

      Symbol.bindElementAction(compId, symbolName, "${dribbble}", "mouseenter", function(sym, e) {
         sym.$("dribbble").animate({"opacity": 0.50}, 300, function() {});

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${dribbble}", "mouseleave", function(sym, e) {
         sym.$("dribbble").animate({"opacity": 1.00}, 300, function() {});
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${dribbble}", "mousedown", function(sym, e) {
         sym.$("dribbble").animate({"opacity": 1.00}, 300, function() {});
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${twitter}", "mousedown", function(sym, e) {
         sym.$("twitter").animate({"opacity": 1.00}, 300, function() {});
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${twitter}", "mouseleave", function(sym, e) {
         sym.$("twitter").animate({"opacity": 1.00}, 300, function() {});
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${twitter}", "mouseenter", function(sym, e) {
         sym.$("twitter").animate({"opacity": 0.50}, 300, function() {});
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${fb}", "mouseenter", function(sym, e) {
         sym.$("fb").animate({"opacity": 0.50}, 300, function() {});
         
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${fb}", "mouseleave", function(sym, e) {
         sym.$("fb").animate({"opacity": 1.00}, 300, function() {});
         
         
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${fb}", "mousedown", function(sym, e) {
         sym.$("fb").animate({"opacity": 1.00}, 300, function() {});
         
         
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${fbCopy}", "click", function(sym, e) {
         // Hier Code für Mausklick einfügen
         // Zu einer neuen URL in einem neuen Fenster navigieren
         // ( "_blank" durch das entsprechende Zielattribut ersetzen)
         window.open("mailto:hello@clemensposch.com", "_blank");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${fbCopy}", "mouseenter", function(sym, e) {
         sym.$("fbCopy").animate({"opacity": 0.50}, 300, function() {});
         
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${fbCopy}", "mouseleave", function(sym, e) {
         sym.$("fbCopy").animate({"opacity": 1.00}, 300, function() {});
         
         
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${fbCopy}", "mousedown", function(sym, e) {
         sym.$("fbCopy").animate({"opacity": 1.00}, 300, function() {});
         
         
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${behance}", "click", function(sym, e) {
         // Hier Code für Mausklick einfügen
         // Zu einer neuen URL in einem neuen Fenster navigieren
         // ( "_blank" durch das entsprechende Zielattribut ersetzen)
         window.open("https://www.behance.net/clemensposch", "_blank");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${behance}", "mouseenter", function(sym, e) {
         sym.$("behance").animate({"opacity": 0.50}, 300, function() {});
         
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${behance}", "mouseleave", function(sym, e) {
         sym.$("behance").animate({"opacity": 1.00}, 300, function() {});
         
         
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${behance}", "mousedown", function(sym, e) {
         sym.$("behance").animate({"opacity": 1.00}, 300, function() {});
         
         
         
         
         

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

})(window.jQuery || AdobeEdge.$, AdobeEdge, "EDGE-22414591");